
//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#include "rand_utils.hh"

//----------------------------------------------------------------------------

// initialize random number generation so that we get different
// sequences each time we run the program

void init_rand()
{
  time_t now;

  now = time(NULL);
  srand(now);
}

//----------------------------------------------------------------------------

// generate random number between low and high, inclusive

int rand_low_high(int low, int high)
{
  return low + rand() % (high + 1 - low);
}

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------
